use maraiah::image::{pict, Color8};

include!("data/rand.rs");

#[test]
fn get_clut_must_process()
{
	const INPUT: &[u8] = include_bytes!("data/pict/clut.in");
	const OUTPUT: [Color8; 256] = include!("data/pict/clut.out");

	assert_eq!(pict::clut::read(INPUT).unwrap(), (OUTPUT.to_vec(), 2056));
}

#[test]
fn pict_must_not_process()
{
	for inp in &RANDOM {
		assert!(pict::clut::read(inp).is_err());
		assert!(pict::read(inp).is_err());
	}
}

// EOF
